Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		freeipmi
#Epoch:		0
Version:	0.8.12
Release:	1
License:	GNU/GPLv2
URL:		http://www.gnu.org/software/freeipmi/
Group:		System/Configuration/Hardware
Summary:	IPMI access software and libraries
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libgcrypt-devel
BuildRequires: libgpg-error-devel

%description
FreeIPMI provides in-band and out-of-band IPMI software based on the IPMI v1.5/2.0 specification. The IPMI specification defines a set of interfaces for platform management and is implemented by a number vendors for system management. The features of IPMI that most users will be interested in are sensor monitoring, system event monitoring, power control, and serial-over-LAN (SOL). The FreeIPMI tools and libraries contained in this package should provide users with the ability to access and utilize these and many other features. A number of useful features for large HPC or cluster environments have also been implemented into FreeIPMI.

%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--sysconfdir=%{_sysconfdir} \
--localstatedir=%{_localstatedir} \
--mandir=%{_mandir} \
--disable-debug

make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_prefix}/info/dir

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_sysconfdir}/freeipmi.conf
%{_sysconfdir}/init.d/bmc-watchdog
%{_sysconfdir}/init.d/ipmidetectd
%{_sysconfdir}/ipmidetectd.conf
%{_sysconfdir}/ipmi_monitoring_sensors.conf
%{_sysconfdir}/logrotate.d/bmc-watchdog
%{_sysconfdir}/sysconfig/bmc-watchdog
%{_prefix}/info/freeipmi-faq.info.gz
%{_libdir}/libfreeipmi.so.*
%{_libdir}/libipmiconsole.so.*
%{_libdir}/libipmidetect.so.*
%{_libdir}/libipmimonitoring.so.*
%{_mandir}/man5/bmc-config.conf.5.gz
%{_mandir}/man5/freeipmi.conf.5.gz
%{_mandir}/man5/ipmiconsole.conf.5.gz
%{_mandir}/man5/ipmidetect.conf.5.gz
%{_mandir}/man5/ipmidetectd.conf.5.gz
%{_mandir}/man5/ipmimonitoring.conf.5.gz
%{_mandir}/man5/ipmimonitoring_sensors.conf.5.gz
%{_mandir}/man5/ipmi_monitoring_sensors.conf.5.gz
%{_mandir}/man5/ipmipower.conf.5.gz
%{_mandir}/man5/libipmimonitoring.conf.5.gz
%{_mandir}/man7/freeipmi.7.gz
%{_mandir}/man8/bmc-config.8.gz
%{_mandir}/man8/bmc-device.8.gz
%{_mandir}/man8/bmc-info.8.gz
%{_mandir}/man8/bmc-watchdog.8.gz
%{_mandir}/man8/ipmi-chassis.8.gz
%{_mandir}/man8/ipmi-chassis-config.8.gz
%{_mandir}/man8/ipmiconsole.8.gz
%{_mandir}/man8/ipmi-dcmi.8.gz
%{_mandir}/man8/ipmidetect.8.gz
%{_mandir}/man8/ipmidetectd.8.gz
%{_mandir}/man8/ipmi-fru.8.gz
%{_mandir}/man8/ipmi-locate.8.gz
%{_mandir}/man8/ipmimonitoring.8.gz
%{_mandir}/man8/ipmi-oem.8.gz
%{_mandir}/man8/ipmi-pef-config.8.gz
%{_mandir}/man8/ipmiping.8.gz
%{_mandir}/man8/ipmipower.8.gz
%{_mandir}/man8/ipmi-raw.8.gz
%{_mandir}/man8/ipmi-sel.8.gz
%{_mandir}/man8/ipmi-sensors.8.gz
%{_mandir}/man8/ipmi-sensors-config.8.gz
%{_mandir}/man8/pef-config.8.gz
%{_mandir}/man8/rmcpping.8.gz
%{_sbindir}/bmc-config
%{_sbindir}/bmc-device
%{_sbindir}/bmc-info
%{_sbindir}/bmc-watchdog
%{_sbindir}/ipmi-chassis
%{_sbindir}/ipmi-chassis-config
%{_sbindir}/ipmiconsole
%{_sbindir}/ipmi-dcmi
%{_sbindir}/ipmidetect
%{_sbindir}/ipmidetectd
%{_sbindir}/ipmi-fru
%{_sbindir}/ipmi-locate
%{_sbindir}/ipmimonitoring
%{_sbindir}/ipmi-oem
%{_sbindir}/ipmi-pef-config
%{_sbindir}/ipmiping
%{_sbindir}/ipmipower
%{_sbindir}/ipmi-raw
%{_sbindir}/ipmi-sel
%{_sbindir}/ipmi-sensors
%{_sbindir}/ipmi-sensors-config
%{_sbindir}/pef-config
%{_sbindir}/rmcpping
/var/lib/freeipmi/ipckey

%files devel
%defattr(-,root,root)
%{_includedir}/freeipmi
%{_includedir}/ipmiconsole.h
%{_includedir}/ipmidetect.h
%{_includedir}/ipmi_monitoring.h
%{_libdir}/libfreeipmi.a
%{_libdir}/libfreeipmi.la
%{_libdir}/libfreeipmi.so
%{_libdir}/libipmiconsole.a
%{_libdir}/libipmiconsole.la
%{_libdir}/libipmiconsole.so
%{_libdir}/libipmidetect.a
%{_libdir}/libipmidetect.la
%{_libdir}/libipmidetect.so
%{_libdir}/libipmimonitoring.a
%{_libdir}/libipmimonitoring.la
%{_libdir}/libipmimonitoring.so
%{_mandir}/man3/libfreeipmi.3.gz
%{_mandir}/man3/libipmiconsole.3.gz
%{_mandir}/man3/libipmidetect.3.gz
%{_mandir}/man3/libipmimonitoring.3.gz
%{_docdir}/freeipmi

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Wed Dec 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.8.12-1
- initial CCux package release
